Subject: Re: Realtek 8139 problem on 486.

From: Nikolai Zhubr <[email-masked]>
Date: Sun, 30 May 2021 13:36:10 +0300

Hi all,

30.05.2021 3:49, Nikolai Zhubr:
[...]
> eth0 Link encap:Ethernet HWaddr 00:11:6B:32:85:74
> inet addr:192.168.0.3 Bcast:192.168.0.255 Mask:255.255.255.0
> ......
> Interrupt:9 Base address:0x6000
>
> eth1 Link encap:Ethernet HWaddr 00:11:6B:32:85:74
> inet addr:192.168.0.4 Bcast:192.168.0.255 Mask:255.255.255.0
> ......
> Interrupt:9 Base address:0x8000
>
> whereas actually only one physical network card present. One can notice
> HWaddr and Irq is the same, although base addr is not.
>
> lspci says:
> 00:0d.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL-8139
> (rev 10)

Ok, sorted out this.
eth0 == rtl8139.c:v1.07 5/6/99
eth1 == 8139too Fast Ethernet driver 0.9.18-pre4

So, 8139too 0.9.18-pre4 as of kernel 2.2.20 is the one that apparently 
works correctly here. I feel the bisect is going to be massive.

Thank you,

Regards,
Nikolai

> Now as soon as ip configuration is done preperly, I can ifup any of them
> successfully.
> And, eth0 shows some familiar misbehaviour: I can do ssh, but scp large
> file fails with subsequent communication breakdown. On the other hand,
> eth1 works fine, scp and iperf3 (both as a client and as a server) show
> quite regular operation. I'm puzzled a bit. But at least it looks like a
> possible starting point.
>
>
> Thank you,
>
> Regards,
> Nikolai
>
>>
>> - Matthew
>>
>